Get order status
curl --request GET \
--url https://vitarelay.com/api/public/practice/v1/orders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vitarelay.com/api/public/practice/v1/orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vitarelay.com/api/public/practice/v1/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "9b1c7e42-0000-0000-0000-0000000000aa",
"order_number": "VR-100482",
"status": "paid",
"payment_status": "paid",
"reference": "po-2026-0042",
"total_cents": 3056,
"currency": "USD",
"items": [
{
"product_id": "7c2d5e10-0000-0000-0000-0000000000df",
"quantity": 2,
"unit_price_cents": 1528
}
],
"created_at": "2026-08-27T14:05:00Z",
"fulfillment": {
"status": "shipped",
"tracking_number": "794600000000",
"tracking_carrier": "FedEx",
"tracking_url": "https://www.fedex.com/fedextrack/?trknbr=794600000000",
"shipped_at": "2026-08-28T16:20:00Z"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}API Reference
Get order status
Returns status, payment, items, and fulfillment/tracking for one of your practice’s orders. Orders belonging to other organizations return 404.
Scope required: orders:read.
GET
/
orders
/
{id}
Get order status

